%global _root_libdir	/%{_lib}
%global _root_sbindir 	/sbin

Name:		nilfs-utils
Version:	2.0.18
Release:	%mkrel 1
Summary:	Utilities for managing NILFS v2 filesystems

Group:		System/Base
License:	GPLv2+
URL:		http://www.nilfs.org
Source0:	http://www.nilfs.org/download/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	libuuid-devel

%description
Userspace utilities for creating and mounting NILFS v2 filesystems.

%package devel
Summary:	NILFS2 filesystem-specific headers
Group:		System/Libraries
Requires:	nilfs-utils = %{version}-%{release}

%description devel
nilfs-utils-devel contains the header files needed to develop NILFS
filesystem-specific programs.

You should install nilfs-utils-devel if you want to develop NILFS
filesystem-specific programs. If you install nilfs-utils-devel, you'll
also want to install nilfs-utils.

%prep
%setup -q

%build
%configure2_5x LDCONFIG=/bin/true --disable-static --libdir %{_root_libdir}
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f $RPM_BUILD_ROOT/%{_root_libdir}/libnilfs.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%config(noreplace) /etc/nilfs_cleanerd.conf
%{_root_sbindir}/mkfs.nilfs2
%{_root_sbindir}/mount.nilfs2
%{_root_sbindir}/nilfs_cleanerd
%{_root_sbindir}/umount.nilfs2
%{_bindir}/chcp
%{_bindir}/dumpseg
%{_bindir}/lscp
%{_bindir}/lssu
%{_bindir}/mkcp
%{_bindir}/rmcp
%{_mandir}/man1/lscp.1.xz
%{_mandir}/man1/lssu.1.xz
%{_mandir}/man5/nilfs_cleanerd.conf.5.xz
%{_mandir}/man8/chcp.8.xz
%{_mandir}/man8/dumpseg.8.xz
%{_mandir}/man8/mkcp.8.xz
%{_mandir}/man8/mkfs.nilfs2.8.xz
%{_mandir}/man8/mount.nilfs2.8.xz
%{_mandir}/man8/nilfs.8.xz
%{_mandir}/man8/nilfs_cleanerd.8.xz
%{_mandir}/man8/rmcp.8.xz
%{_mandir}/man8/umount.nilfs2.8.xz
%{_root_libdir}/libnilfs.so.*

%files devel
%defattr(-,root,root,-)
%{_root_libdir}/libnilfs.so
%{_includedir}/nilfs.h
%{_includedir}/nilfs2_fs.h


%changelog
* Tue Mar 22 2011 saispo <saispo> 2.0.18-1.mga1
+ Revision: 75461
- Change gzip man to xz
- imported package nilfs-utils

